Name: opencascade
Version: 6.3.0
Release: alt2
Summary: Development platform for 3D modeling and numerical simulation
License: BSD-like
Group: Development/Tools
Url: http://www.opencascade.org
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Source: OpenCASCADE_src.tar.gz
Source1: LICENSE

Requires: lib%name = %version-%release
Requires: %name-common = %version-%release

BuildRequires(pre): rpm-build-java
BuildPreReq: gcc-c++ libX11-devel libGL-devel libGLU-devel java-devel-default
BuildPreReq: tcl-devel tcl-tix libfltk-devel tk-devel libXmu-devel
BuildPreReq: libstlport-devel

%description
Open CASCADE Technology version 6.3., a minor release, which introduces quite a
number of new features and improved traditional functionality along with certain
changes over the previous public release and maintenance releases exclusively
available to the customers.

This release makes Open CASCADE Technology even a more powerful and stable
development platform for 3D modeling and numerical simulation applications. 

%package -n lib%name
Summary: Shared libraries of Open CASCADE
Group: System/Libraries

%description -n lib%name
Shared libraries of Open CASCADE, development platform for 3D modeling and
numerical simulation applications.

%package -n lib%name-devel
Summary: Development files for Open CASCADE Technology
Group: Development/C++
Requires: lib%name = %version-%release
Requires: %name-common = %version-%release

%description -n lib%name-devel
Development files for Open CASCADE Technology, development platform for 3D
modeling and numerical simulation applications.

%package -n lib%name-devel-static
Summary: Static libraries for Open CASCADE Technology
Group: Development/C++
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
Static libraries for Open CASCADE Technology, development platform for 3D
modeling and numerical simulation applications.

%package common
Summary: Architecture independent files of Open CASCADE
Group: Development/C++

%description common
Architecture independent files of Open CASCADE, development platform for 3D
modeling and numerical simulation applications.

%prep
%setup
install -p -m644 %SOURCE1 .

%build
export DISTRIBUTIVE_DIR=$PWD
export CASROOT=$PWD
%autoreconf
%configure \
	--with-gl-include=%_includedir \
	--with-gl-library=%_libdir \
	--with-xmu-include=%_includedir/X11/Xmu \
	--with-xmu-library=%_libdir \
	--with-tcl=%_libdir \
	--with-tk=%_libdir \
	--disable-debug \
	--enable-production \
	--enable-wrappers=yes \
	--enable-wok=yes \
	--enable-draw=yes \
	--enable-static \
	--with-java-include=%_libexecdir/jvm/java/include
%make_build

%install
%makeinstall
sed -i \
	-e '1s/ksh\ \-f/sh/' \
	-e '1a\export CASROOT=%_datadir/%name' \
	-e 's/\/\$OS_NAME//g' \
	%buildroot%prefix/env_DRAW.sh
sed -i 's|src|share/%name|g' %buildroot%prefix/env_DRAW.sh
%ifarch x86_64
sed -i 's|/lib64|/lib|g' %buildroot%prefix/env_DRAW.sh
sed -i 's|/lib|/lib64|g' %buildroot%prefix/env_DRAW.sh
%endif

install -d %buildroot%_datadir/%name
mv %buildroot%prefix/env_DRAW.sh %buildroot%_datadir/%name/
mv %buildroot%prefix/src %buildroot%_datadir/%name/
mv %buildroot%prefix/inc %buildroot%_includedir
install -d %buildroot%_includedir/%name

pushd %buildroot%_includedir
rm -f config.h
mv ../config.h %name/
for i in Xw_Extension.h Standard_values.h Standard_Macro.hxx \
	WOKUnix_MaxPipeSize.hxx
do
	sed -i 's|<config.h>|<%name/config.h>|' $i
done
popd
sed -i 's|^\(CONFIG_HEADER\).*|\1 = %_includedir/%name/config.h|' \
	%buildroot%_datadir/%name/src/WOKTclLib/template.min*

if [ ! -d %buildroot%_libdir ]; then
	install -d %buildroot%_libdir
	mv %buildroot%_libexecdir/* %buildroot%_libdir/
	rm -fR %buildroot%_libexecdir
fi

for i in DRAWEXE wokprocess woksh; do
mv %buildroot%_bindir/$i  %buildroot%_bindir/${i}_
cat <<EOF >%buildroot%_bindir/$i
#!/bin/sh

export TCLHOME=%prefix
source %_datadir/%name/env_DRAW.sh
${i}_ "\$@"
EOF
chmod +x %buildroot%_bindir/$i
done

%files
%doc LICENSE
%_bindir/*
%dir %_datadir/%name
%_datadir/%name/env_DRAW.sh

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_libdir/*.so
%_includedir/*

%files -n lib%name-devel-static
%_libdir/*.a

%files common
%_datadir/%name/src

%changelog
* Wed May 06 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 6.3.0-alt2
- Removed %name directory from /usr/lib
- Fixed channel permission

* Sat May 02 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 6.3.0-alt1
- Initial build for Sisyphus

